package com.socklabs.whoisthat.configuration;

import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.ImportResource;

/**
 * A configuration class for spring security specific stuff. This class is just a wrapper around the
 * springSecurityConfig xml file because I haven't found a clean way of utilizing java based configuration
 * with some of the more complex spring security directives.
 * @author ngerakines
 * @since 2/19/12
 */
@Configuration
@ImportResource( { "classpath*:springSecurityConfig.xml" } )
public class SecurityConfig {
}
