package com.socklabs.whoisthat.mvc;

import com.socklabs.whoisthat.mvc.model.Entity;
import com.socklabs.whoisthat.mvc.model.Tripple;
import com.socklabs.whoisthat.mvc.model.Tuple;

import java.util.List;

/**
 * Created by IntelliJ IDEA.
 * User: ngerakines
 * Date: 2/19/12
 * Time: 8:42 PM
 * To change this template use File | Settings | File Templates.
 */
public interface EntityManager {
	public List<Entity> getByAccount(final String account);
	public String create(final String email, final String source, final String label);
	public String addMeta(String entityId, String label, String value);
	public void addTag(String entityId, String tag);
	public void setGroup(String groupId, String entityId);
	public List<Entity> getByAccountPaginated(final String account, final int offset, final int count);
	public List<Entity> getByAccountAndSourcePaginated(final String account, final String source, final int offset, final int count);
	public List<Tripple<String, String, String>> getAllNamesByAccount(final String account);
	public List<Tuple<String, String>> getGroupsForEntities(String... entityId);
}
