package com.socklabs.whoisthat.mvc;

import org.springframework.security.core.context.SecurityContext;
import org.springframework.security.core.context.SecurityContextHolder;
import org.springframework.security.core.userdetails.User;

import javax.servlet.http.HttpSession;

/**
 * A small MVC utility class
 * @author ngerakines
 * @since 2/26/12
 */
public class MvcUtil {

	public static User getPrincipal(HttpSession session) {
		// Do nothing with the session because Spring give us a better way to retrieve the principal
		return (User) ((SecurityContext) SecurityContextHolder.getContext()).getAuthentication().getPrincipal();
	}

}
