package com.socklabs.whoisthat.mvc.model;

import org.joda.time.DateTime;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by IntelliJ IDEA.
 * User: ngerakines
 * Date: 2/19/12
 * Time: 7:51 PM
 * To change this template use File | Settings | File Templates.
 */
public class Account {

	private String email;
	private String password;

	// NKG: Imaginary fields.
	private DateTime createdAt;
	private DateTime lastLoginAt;
	private DateTime lastUpdatedAt;
	private DateTime deletedAt;

	private List<AccountMeta> accountMetaList = new ArrayList<AccountMeta>();

	public Account(String email, String password, DateTime createdAt, DateTime lastLoginAt, DateTime lastUpdatedAt, DateTime deletedAt) {
		this.email = email;
		this.password = password;
		this.createdAt = createdAt;
		this.lastLoginAt = lastLoginAt;
		this.lastUpdatedAt = lastUpdatedAt;
		this.deletedAt = deletedAt;
	}

	public String getEmail() {
		return email;
	}

	public String getPassword() {
		return password;
	}

	public List<AccountMeta> getAccountMetaList() {
		return accountMetaList;
	}

	public void addMeta(final AccountMeta accountMeta) {
		accountMetaList.add(accountMeta);
	}

	@Override
	public String toString() {
		return "Account{" +
				"email='" + email + '\'' +
				", password='" + password + '\'' +
				", createdAt=" + createdAt +
				", lastLoginAt=" + lastLoginAt +
				", lastUpdatedAt=" + lastUpdatedAt +
				", deletedAt=" + deletedAt +
				", accountMetaList=" + accountMetaList +
				'}';
	}
}
