package com.socklabs.whoisthat.mvc;

import com.socklabs.whoisthat.mvc.model.Account;
import com.socklabs.whoisthat.mvc.model.AccountMeta;

import java.util.List;

/**
 * Created by IntelliJ IDEA.
 * User: ngerakines
 * Date: 2/19/12
 * Time: 7:50 PM
 * To change this template use File | Settings | File Templates.
 */
public interface AccountManager {
	public Account getByEmail(final String email);
	public List<AccountMeta> getAccountMetaByEmail(final String email);
	public void create(final String email, final String password);
	public String addMeta(final String email, final String label, final String value);
}
