package com.socklabs.whoisthat.mvc;

import com.socklabs.whoisthat.mvc.model.NoteForm;
import com.socklabs.whoisthat.mvc.model.RegistrationForm;
import org.springframework.validation.Errors;
import org.springframework.validation.ValidationUtils;
import org.springframework.validation.Validator;

/**
 * Created by IntelliJ IDEA.
 * User: ngerakines
 * Date: 2/20/12
 * Time: 3:54 PM
 * To change this template use File | Settings | File Templates.
 */
public class NoteValidator implements Validator {
	@Override
	public boolean supports(Class<?> aClass) {
		return NoteForm.class.isAssignableFrom(aClass);
	}

	@Override
	public void validate(Object o, Errors errors) {
		ValidationUtils.rejectIfEmptyOrWhitespace(errors, "entity", "field.required");
		ValidationUtils.rejectIfEmptyOrWhitespace(errors, "body", "field.required");
	}
}