<#import "../utils.ftl" as c />
<#import "/spring.ftl" as spring />
<@c.page>
<div class="row-fluid">
<div class="span9">

<h1>Your Connections</h1>
<script>
if(window.opener) {
	window.opener.location.reload(false);
	window.close();
}
</script>

<h1>Your Connections</h1>
<#list providerIds as providerId>
<#assign connections = connectionMap[providerId] />
<h2>${providerId}</h2>
<#if connections?has_content >
<form method="POST" action="/connect/${providerId}">
<p>You are connected to
<@spring.messageText "${providerId}.displayName", "${providerId}"/>
as <a href="${connectionMap[providerId][0].profileUrl}">${connectionMap[providerId][0].displayName}</a>.</p>
<button class="disconnectButton" type="submit">Disconnect</button>
<input type="hidden" name="_method" value="delete" />
</form>
<#else>
<form action="/connect/${providerId}" method="POST" class="connectForm">
<div class="formInfo">You are not yet connected to <@spring.messageText "${providerId}.displayName", "${providerId}"/>.</div>
<button class="connectButton" type="submit">Connect</button>
</form>
</#if>
</#list>
<script>
$(document).ready(function() {
	$(".connectButton").click(function(event){
		event.preventDefault();
		window.open("", "connectWindow", "width=600,height=400");
		var cTP = $(event.currentTarget).parent();
		cTP[0].setAttribute("target", "connectWindow");
		cTP[0].submit();
	});
});
</script>


</div>
</div>
</@c.page>
